Bug 851 - Add "cleanup" RSL attribute for cleaning up a job submission
: Add "cleanup" RSL attribute for cleaning up a job submission
Status: RESOLVED LATER
: GRAM
gt2 Gatekeeper/Jobmanager
: 1.6
: All All
: P2 enhancement
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2003-03-25 14:50 by
Modified: 2012-09-12 13:39 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-03-25 14:50:45
We added a "cleanup" RSL attribute to the gram 1.5 jobmanager, that caused the
jobmanager to just cleanup everything associated with a job submission (remove
from local scheduler, clean gass cache, remove state file). We found this
necessary since there were times when the client (condor-g) couldn't get a
normal jobmanager instantiation to do so (restarts failing because of old
jobmanager processes, etc).

We think the same feature is currently needed for gram 1.6 as well. At the very
least, jobmanager hangs due to bug 661 make it impossible for a client to
cleanup a job submission now. There are probably other ways that a normal
restart/cancel can fail as well.
------- Comment #1 From 2003-10-21 17:40:44 -------
Jaime,

does this "cleanup" patch still relvant?  Or have the JM hanging bugs been 
fixed, so this is no longer necessary/used?

-Stu
------- Comment #2 From 2003-11-25 17:04:35 -------
We are wondering if this patch has been applied to any version of Globus? 

It has been part of the VDT for quite some time and has proven its use. We 
would have thought it would make it into an advisory. We would rather not fork 
Globus to have a VDT Globus and a Globus Globus. 

Thought?

Thanks,
-alain
------- Comment #3 From 2003-11-25 17:06:43 -------
I'm confused--I entered this last comment for bug 802, and it was entered on 
but 851. Huh?

Sorry about that. 

-alain
------- Comment #4 From 2012-09-12 10:13:17 -------
We've migrated our issue tracking software to jira.globus.org. Any new issues
should be added here:

http://jira.globus.org/secure/VersionBoard.jspa?selectedProjectId=10363

As this issue hasn't been commented on in several years, we're closing it. If
you feel it is still relevant, please add it to jira.